﻿using MultiSurfaceChartApp.Models;
using System.Drawing;

namespace MultiSurfaceChartApp
{
    public class DataPoint3D : ObservableModel
    {
        public DataPoint3D() { }

        public DataPoint3D(double x, double y, double z, int index)
        {
            this.X = x;
            this.Y = y;
            this.Z = z;
            this.Index = index;
        }

        public double X { get; set; }
        public double Y { get; set; }
        public double Z { get; set; }
        public int Index { get; set; }

        public Point Location
        {
            get { return new Point((int)X, (int)Y); }
        }
    }
}
